Subject: Re: [babel] Murray Kucherawy's No Objection on draft-ietf-babel-dtls-09: (with COMMENT)

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 1 Jul 2020 17:19:45 -0700

On Tue, Jun 30, 2020 at 4:01 PM David Schinazi <[email-masked]>
wrote:

>
>
>
>> * "Nodes SHOULD drop packets that have been reordered ..." -- Why would an
>> implementer not do this?  (i.e., why is it only a SHOULD?)
>>
>
> Tracking reordering like this is not a feature that is available in all
> DTLS stacks.
> Requiring Babel implementors to add features to DTLS stacks is not a
> realistic
> possibility, so we made this a SHOULD.
>

I would suggest mentioning this.  SHOULD leaves some interoperability
discretion to the reader, and I think it helps to provide guidance around
that discretion especially when you have a specific alternative in mind.

>>
>> Section 2.5:
>>
>> * Why is the stuff in the first paragraph only SHOULD/RECOMMENDED?  (The
>> answer
>> may lie in the second paragraph, but I'm uncertain.)
>>
>
> Because it's not required for the correctness or security of the protocol.
> For example,
> we do not need to mandate where implementors save their DTLS state.
>

Given the words of Section 6 of RFC 2119, I suggest you don't need to use
these key words here if that's the reason.

-MSK